Kerbal Space Program - Bug #9810

Can't discard parts in VAB/SPH when mouse is over an unpurchased part
05/31/2016 10:44 AM - achurch

Status: Confirmed Start date: 05/31/2016
Severity: Very Low % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux Mod Related: No
Description

Ordinarily, when a part is selected (for placement) in the VAB/SPH, you can move it over the parts menu on the left side of the
screen and left-click to discard the part. However, when entry purchase is enabled and the mouse is over a part which has been
researched but not yet purchased, left-clicks are ignored and the part cannot be discarded.

This looks like it can be fixed by just narrowing the left-click suppression on unpurchased parts so it does not suppress clicks when
an item is currently selected.

It's easy enough to work around the bug once you realize what's happening (just move the mouse somewhere else in the parts
menu), but since I'm not generally paying attention to exactly where in the parts menu the mouse pointer is located when I'm trying to
discard a part, this is a bit more annoying than it might seem if you haven't encountered it before.

History

#1 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/17/2016 12:44 PM - achurch

What needs clarification here?

#3 - 07/17/2016 11:50 PM - TriggerAu

Hi achurch - same as http://bugs.kerbalspaceprogram.com/issues/9365#note-14

Not an indication of an issue wit hthe bug report, just trying to make sure it exists in 1.1.3 and we can get it confirmed

#4 - 07/18/2016 12:07 AM - achurch
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Sorry, | thought this had been reported under 1.1.3 -- my mistake! The bug is indeed still present in 1.1.3.

#5 - 07/18/2016 04:34 AM - TriggerAu

Thanks for that, good to know

#6 - 07/29/2016 02:47 PM - sal_vager
- File screenshot879.png added

- Severity changed from Low to Very Low

Confirmed behaviour, pretty easy to drop the item elsewhere though.

#7 - 07/29/2016 02:48 PM - sal_vager
- Status changed from Updated to Confirmed
